import com.sweetfish.source.PageFlipper

class Ignore_ExecPageFlipper {

    static execute(int pageSize, Closure command) {
        PageFlipper pageFlipper = new PageFlipper(1, pageSize)

        command(pageFlipper)

        int iPageTotal = pageFlipper.getPageTotal()
        for (int i = 2; i <= iPageTotal; i++) {
            pageFlipper.setPageIndex(i)
            command(pageFlipper)
        }
    }
}
